Bug 48986 - 4.3: Initial Join in the system-setup fails because the specified server is not used.
4.3: Initial Join in the system-setup fails because the specified server is n...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-3-errata
Assigned To: Florian Best
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-13 16:08 CET by Florian Best
Modified: 2019-04-03 11:57 CEST (History)
7 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.343
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018110721000402
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-13 16:08:55 CET
Backport to UCS 4.3:

+++ This bug was initially created as a clone of Bug #48134 +++

A customer cannot join during the initial setup. The dcname seems not to be passed with anymore.

Wed Nov  7 12:08:27 CET 2018: starting /usr/sbin/univention-join -dcname ucs-master01.schein.ig -dcaccount cschein -dcpwd /var/cache/univention-system-setup/secret -checkPrerequisites
running version check
OK: UCS version on master01.schein.ig is higher or equal (4.32) to the local version (4.32).
Wed Nov  7 12:08:36 CET 2018: finish /usr/sbin/univention-join
Wed Nov  7 12:13:47 CET 2018: starting /usr/share/univention-join/univention-join -dcaccount cschein -dcpwd /tmp/tmp.f4H62WHAiV


**************************************************************************
* Join failed!                                                           *
* Contact your system administrator                                      *
**************************************************************************
* Message:  Please visit https://help.univention.com/t/8842 for common problems during the join and how to fix them -- The UCS master server "master02.schein.ig" is not reachable, ping failed (ping ipv4: PING master02.schein.ig (xxx.x.x.xx) 56(84) bytes of data.  --- master02.schein.ig ping statistics --- 3 packets transmitted, 0 received, +3 errors, 100% packet loss, time 2043ms pipe 3 , ping ipv6: ping: master02.schein.ig: Der Name oder der Dienst ist nicht bekannt ).
**************************************************************************
Comment 1 Florian Best univentionstaff 2019-03-26 09:29:07 CET
The changes have been cherry-picked into UCS 4.3-3.

univention-system-setup (11.0.5-36)
5587935c0411 | Bug #48134: Fix displaying of chosen domainname; Enhance validation
7092d3c5bf41 | Bug #48134: pass dcname to univention-join
6a001382dd9e | Bug #48986: fix joining into specified DC master

univention-system-setup.yaml
32cf4de431c8 | YAML Bug #48986
757dbe0947c1 | YAML Bug #48986
1213a477938e | YAML Bug #48986
Comment 2 Erik Damrose univentionstaff 2019-04-01 15:10:42 CEST
Backport verified
Comment 3 Arvid Requate univentionstaff 2019-04-03 11:57:20 CEST
<http://errata.software-univention.de/ucs/4.3/469.html>